## tkabber-plugins 0.11.0

=== Makefile ===
# $Id: Makefile 1458 2008-06-08 13:46:46Z sergei $

PREFIX = /usr/local
TKABBERPLUGINSDIR = $(PREFIX)/share/tkabber-plugins
DOCDIR = $(PREFIX)/share/doc/tkabber-plugins

SUBDIRS = aniemoticons \
	  attline      \
	  bc           \
	  browser      \
	  checkers     \
	  chess        \
	  ctcomp       \
	  custom-urls  \
	  cyrillize    \
	  debug        \
	  ejabberd     \
	  floatinglog  \
	  georoster    \
	  gmail        \
	  iconsets     \
	  jidlink      \
	  latex        \
	  mute         \
	  openurl      \
	  osd          \
	  presencecmd  \
	  quiz         \
	  receipts     \
	  renju        \
	  reversi      \
	  socials      \
	  spy          \
	  tclchat      \
	  tkabber-khim \
	  traffic      \
	  unixkeys     \
	  whiteboard

install: install-bin install-doc

install-bin:
	mkdir -p $(DESTDIR)/$(TKABBERPLUGINSDIR)
	cp -r $(SUBDIRS) $(DESTDIR)/$(TKABBERPLUGINSDIR)
	echo ""
	echo ""
	echo ""
	echo "To enable desired plugins copy or link their directories to ~/.tkabber/plugins/"
	echo ""
	echo ""
	echo ""

install-doc:
	mkdir -p $(DESTDIR)/$(DOCDIR)
	cp COPYING ChangeLog README $(DESTDIR)/$(DOCDIR)

.PHONY: install install-bin install-doc

## tkabber-plugins 0.11.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1458 2008-06-08 13:46:46Z sergei $
+# $Id: Makefile 1513 2008-10-15 17:39:41Z sergei $
 
 PREFIX = /usr/local
 TKABBERPLUGINSDIR = $(PREFIX)/share/tkabber-plugins
@@ -26,11 +26,14 @@
 	  osd          \
 	  presencecmd  \
 	  quiz         \
+	  quotelastmsg \
 	  receipts     \
 	  renju        \
 	  reversi      \
+	  singularity  \
 	  socials      \
 	  spy          \
+	  stripes      \
 	  tclchat      \
 	  tkabber-khim \
 	  traffic      \

## tkabber-plugins 1.1

=== Makefile ===
# $Id: Makefile 2133 2014-02-07 07:11:37Z sergei $

PREFIX = /usr/local
TKABBERPLUGINSDIR = $(PREFIX)/share/tkabber-plugins
DOCDIR = $(PREFIX)/share/doc/tkabber-plugins

SUBDIRS = aniemoticons    \
	  attline         \
	  battleship      \
	  bc              \
	  browser         \
	  checkers        \
	  chess           \
	  ctcomp          \
	  custom-urls     \
	  cyrillize       \
	  debug           \
	  ejabberd        \
	  floatingcontact \
	  floatinglog     \
	  georoster       \
	  gmail           \
	  iconsets        \
	  jidlink         \
	  latex           \
	  mute            \
	  openurl         \
	  osd             \
	  otr             \
	  poker           \
	  presencecmd     \
	  quiz            \
	  quotelastmsg    \
	  receipts        \
	  renju           \
	  reversi         \
	  singularity     \
	  socials         \
	  spy             \
	  stripes         \
	  tclchat         \
	  tkabber-khim    \
	  traffic         \
	  unixkeys        \
	  whiteboard

install: install-bin install-doc

install-bin:
	install -d $(DESTDIR)/$(TKABBERPLUGINSDIR)
	cp -dr --no-preserve=ownership $(SUBDIRS) $(DESTDIR)/$(TKABBERPLUGINSDIR)
	@echo ""
	@echo ""
	@echo ""
	@echo "To enable desired plugins copy or link their directories to ~/.tkabber/plugins/"
	@echo ""
	@echo ""
	@echo ""

install-doc:
	install -d $(DESTDIR)/$(DOCDIR)
	install -m 644 COPYING ChangeLog README $(DESTDIR)/$(DOCDIR)

.PHONY: install install-bin install-doc

=== debian/changelog ===
tkabber-plugins (1.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove obsolete patches.
  * Update debian/copyright: convert to DEP-5 format, update for new files.
  * Bump Standards-Version to 3.9.6.

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Thu, 23 Oct 2014 15:53:22 +0400

tkabber-plugins (0.11.1-1) unstable; urgency=low

  * New upstream release.
  * Remove obsolete patches.
  * Depend on tkabber >= 0.11.1.
  * Update manual page with into on new plugins.
  * Move to debhelper 7, standards 3.8.3.
  * Add README.source file describing the usage of quilt.
  * Add Homepage, Vcs-git and Vcs-browser fields to debian/control.

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Sat, 31 Oct 2009 20:07:48 +0300

tkabber-plugins (0.11.0-1) unstable; urgency=low

  * Initial release (Closes: #487898)

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Wed, 25 Jun 2008 19:35:37 +0400

=== debian/control ===
Source: tkabber-plugins
Section: net
Priority: extra
Maintainer: Konstantin Khomoutov <flatworm@users.sourceforge.net>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.6
Homepage: http://tkabber.jabber.ru
Vcs-git: git://git.debian.org/collab-maint/tkabber-plugins.git
Vcs-browser: http://git.debian.org/?p=collab-maint/tkabber-plugins.git

Package: tkabber-plugins
Architecture: all
Depends: tkabber (>= 1.1), ${misc:Depends}
Suggests: imagemagick, texlive-latex-base, xosd-bin, x-terminal-emulator, www-browser
Description: standard plugins for Tkabber, an XMPP (Jabber) client
 This package provides the set of standard plugins for Tkabber,
 a sophisticated XMPP (Jabber) GUI client.
 These plugins provide various functional enhancements for Tkabber,
 implement several board games for two players and much more.
 .
 Each plugin can be installed and uninstalled separately so that
 you can pick from this collection just what you want.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BASE   := tkabber-plugins
DESTDIR = $(CURDIR)/debian/$(BASE)
PREFIX := /usr
PLUGDIR = $(DESTDIR)/$(PREFIX)/share/$(BASE)
DOCDIR  = $(DESTDIR)/$(PREFIX)/share/doc/$(BASE)

build: build-arch build-indep

build-arch:

build-indep:
	dh_testdir


clean:
	dh_testdir
	dh_testroot

	dh_clean 


install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) CURDIR=$(CURDIR) DESTDIR=$(DESTDIR) PREFIX=$(PREFIX) install-bin

	find $(PLUGDIR) -mindepth 1 -maxdepth 1 -type d \
		-exec $(SHELL) $(CURDIR)/debian/docify.sh $(DOCDIR) '{}' \;

	mv $(PLUGDIR)/georoster/howto.txt $(DOCDIR)/README.georoster

	mkdir $(DOCDIR)/checkers
	mv $(PLUGDIR)/checkers/rules $(DOCDIR)/checkers
	mv $(DOCDIR)/proto.checkers $(DOCDIR)/checkers/proto

	chmod 664 $(PLUGDIR)/whiteboard/svgrender.tcl

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman $(CURDIR)/debian/tkabber-plugins.7
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

.PHONY: build clean binary-indep binary install

=== debian/watch ===
version=2
http://files.jabber.ru/tkabber/tkabber-plugins.*-([\d+\.]+|\d+).tar.gz debian uupdate

## tkabber-plugins 1.1.2%2B20250521

=== debian/changelog ===
tkabber-plugins (1.1.2+20250521-1) unstable; urgency=medium

  * New upstream fossil snapshot.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 10 Aug 2025 13:00:05 +0300

tkabber-plugins (1.1.2+20250424-1) unstable; urgency=medium

  * New upstream fossil snapshot with a bugfix.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 25 Apr 2025 12:56:22 +0300

tkabber-plugins (1.1.2+20250414-1) unstable; urgency=medium

  * New upstream fossil snapshot.
  * Bump the standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 14 Apr 2025 11:57:30 +0300

tkabber-plugins (1.1.2+20230330-1) unstable; urgency=medium

  * New upstream fossil snapshot.
  * Bump the debhelper competibility level to 13.
  * Bump the standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 23 Apr 2024 15:02:20 +0300

tkabber-plugins (1.1.2+20170328-2) unstable; urgency=medium

  * Make the build reproducible by reliably including both otr/README and
    otr/tclotr/README into the binary package (closes: #963486).
  * Bump the standards version to 4.5.0.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 24 Jun 2020 17:52:10 +0300

tkabber-plugins (1.1.2+20170328-1) unstable; urgency=medium

  * New upstream fossil snapshot.
  * Refresh patches.
  * Update the required tkabber version in dependencies.
  * Add the get-orig-source target to debian/rules to fetch the sources from
    an upstream repository.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 14 Apr 2018 19:51:05 +0300

tkabber-plugins (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer Sergei Golovan.
  * Fix debian/watch to track .xz archives.
  * Convert debian/rules to debhelper.
  * Change priority to optional as extra is deprecated.
  * Point the VCS headers to a Salsa XMPP team project.
  * Bump the debhelper competibility level to 10.
  * Bump the standards version to 4.1.4.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 08 Apr 2018 20:58:08 +0300

## tkabber-plugins 1.1.2+20170328

=== debian/control ===
Source: tkabber-plugins
Section: net
Priority: optional
Maintainer: Sergei Golovan <sgolovan@debian.org>
Uploaders: Konstantin Khomoutov <flatworm@users.sourceforge.net>
Build-Depends: debhelper (>= 10.0)
Standards-Version: 4.1.4
Homepage: http://tkabber.jabber.ru
Vcs-Browser: https://salsa.debian.org/xmpp-team/tkabber-plugins
Vcs-Git: https://salsa.debian.org/xmpp-team/tkabber-plugins.git

Package: tkabber-plugins
Architecture: all
Depends: tkabber (>= 1.1.2+20160101), ${misc:Depends}
Suggests: imagemagick, texlive-latex-base, xosd-bin, x-terminal-emulator, www-browser
Description: standard plugins for Tkabber, an XMPP (Jabber) client
 This package provides the set of standard plugins for Tkabber,
 a sophisticated XMPP (Jabber) GUI client.
 These plugins provide various functional enhancements for Tkabber,
 implement several board games for two players and much more.
 .
 Each plugin can be installed and uninstalled separately so that
 you can pick from this collection just what you want.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

BASE   := tkabber-plugins
DESTDIR = $(CURDIR)/debian/$(BASE)
PREFIX := /usr
PLUGDIR = $(DESTDIR)/$(PREFIX)/share/$(BASE)
DOCDIR  = $(DESTDIR)/$(PREFIX)/share/doc/$(BASE)

override_dh_auto_install:
	$(MAKE) CURDIR=$(CURDIR) DESTDIR=$(DESTDIR) PREFIX=$(PREFIX) install-bin
	#
	find $(PLUGDIR) -mindepth 1 -maxdepth 1 -type d \
		-exec $(SHELL) $(CURDIR)/debian/docify.sh $(DOCDIR) '{}' \;
	#
	mv $(PLUGDIR)/georoster/howto.txt $(DOCDIR)/README.georoster
	#
	mkdir $(DOCDIR)/checkers
	mv $(PLUGDIR)/checkers/rules $(DOCDIR)/checkers
	mv $(DOCDIR)/proto.checkers $(DOCDIR)/checkers/proto
	#
	chmod 664 $(PLUGDIR)/whiteboard/svgrender.tcl

VERSION = 1.1.2
DATE = 2017-03-28
VDATE = $(subst -,,$(DATE))

get-orig-source:
	wget -O tkabber-plugins_$(VERSION)+$(VDATE).orig.tar.gz \
		https://chiselapp.com/user/sgolovan/repository/tkabber-plugins/tarball/tkabber.tar.gz?r=trunk:$(DATE)

.PHONY: override_dh_auto_build override_dh_auto_install

=== debian/watch ===
version=2
http://files.jabber.ru/tkabber/tkabber-plugins.*-([\d+\.]+|\d+).tar.(gz|xz) debian uupdate

## tkabber-plugins 1.1.2+20230330

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Sergei Golovan <sgolovan@debian.org>
 Uploaders: Konstantin Khomoutov <flatworm@users.sourceforge.net>
-Build-Depends: debhelper (>= 10.0)
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
 Homepage: http://tkabber.jabber.ru
 Vcs-Browser: https://salsa.debian.org/xmpp-team/tkabber-plugins
 Vcs-Git: https://salsa.debian.org/xmpp-team/tkabber-plugins.git

=== debian/rules ===
--- 
+++ 
@@ -28,11 +28,10 @@
 	chmod 664 $(PLUGDIR)/whiteboard/svgrender.tcl
 
 VERSION = 1.1.2
-DATE = 2017-03-28
-VDATE = $(subst -,,$(DATE))
+DATE = 20230330
 
 get-orig-source:
-	wget -O tkabber-plugins_$(VERSION)+$(VDATE).orig.tar.gz \
-		https://chiselapp.com/user/sgolovan/repository/tkabber-plugins/tarball/tkabber.tar.gz?r=trunk:$(DATE)
+	wget -O tkabber-plugins_$(VERSION)+$(DATE).orig.tar.gz \
+		https://chiselapp.com/user/sgolovan/repository/tkabber-plugins/tarball/tkabber-plugins.tar.gz?r=trunk:$(DATE)
 
 .PHONY: override_dh_auto_build override_dh_auto_install

## tkabber-plugins 1.1.2+20250414

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	chmod 664 $(PLUGDIR)/whiteboard/svgrender.tcl
 
 VERSION = 1.1.2
-DATE = 20230330
+DATE = 20250414
 
 get-orig-source:
 	wget -O tkabber-plugins_$(VERSION)+$(DATE).orig.tar.gz \

## tkabber-plugins 1.1.2+20250424

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Sergei Golovan <sgolovan@debian.org>
 Uploaders: Konstantin Khomoutov <flatworm@users.sourceforge.net>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://tkabber.jabber.ru
 Vcs-Browser: https://salsa.debian.org/xmpp-team/tkabber-plugins
 Vcs-Git: https://salsa.debian.org/xmpp-team/tkabber-plugins.git
 
 Package: tkabber-plugins
 Architecture: all
-Depends: tkabber (>= 1.1.2+20160101), ${misc:Depends}
+Depends: tkabber (>= 1.1.2+20250413), ${misc:Depends}
 Suggests: imagemagick, texlive-latex-base, xosd-bin, x-terminal-emulator, www-browser
 Description: standard plugins for Tkabber, an XMPP (Jabber) client
  This package provides the set of standard plugins for Tkabber,

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	chmod 664 $(PLUGDIR)/whiteboard/svgrender.tcl
 
 VERSION = 1.1.2
-DATE = 20250414
+DATE = 20250424
 
 get-orig-source:
 	wget -O tkabber-plugins_$(VERSION)+$(DATE).orig.tar.gz \

## tkabber-plugins 1.1.2+20250521

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 2133 2014-02-07 07:11:37Z sergei $
+# Tkabber plugins Makefile
 
 PREFIX = /usr/local
 TKABBERPLUGINSDIR = $(PREFIX)/share/tkabber-plugins
@@ -16,6 +16,7 @@
 	  cyrillize       \
 	  debug           \
 	  ejabberd        \
+	  filters         \
 	  floatingcontact \
 	  floatinglog     \
 	  georoster       \
@@ -61,4 +62,8 @@
 	install -d $(DESTDIR)/$(DOCDIR)
 	install -m 644 COPYING ChangeLog README $(DESTDIR)/$(DOCDIR)
 
-.PHONY: install install-bin install-doc
+# Update Tkabber plugins from Fossil repository
+up:
+	test -f .fslckout -o -f _FOSSIL_ && fossil pull && fossil update
+
+.PHONY: install install-bin install-doc up

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	chmod 664 $(PLUGDIR)/whiteboard/svgrender.tcl
 
 VERSION = 1.1.2
-DATE = 20250424
+DATE = 20250521
 
 get-orig-source:
 	wget -O tkabber-plugins_$(VERSION)+$(DATE).orig.tar.gz \

=== debian/watch ===
version=3
http://files.jabber.ru/tkabber/tkabber-plugins.*-([\d+\.]+|\d+).tar.(gz|xz) debian uupdate
